Bug 70976 - up2date fails with error message when trying for force upgrade of skipped packages
Summary: up2date fails with error message when trying for force upgrade of skipped pac...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-08-07 14:52 UTC by Need Real Name
Modified: 2015-01-07 23:58 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-19 19:10:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2002-08-07 14:52:09 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020804

Description of problem:
When trying to force upgrade of skipped packages (kernel packages)
up2date-2.9.33-7.x.9 fails.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. su -
2. up2date -f -u
	

Actual Results:  # up2date -f -u
creating readOnlyTransaction
Traceback (most recent call last):
  File "/usr/sbin/up2date", line 754, in ?
    main()
  File "/usr/sbin/up2date", line 369, in main
    self.writeEntry(flag[1], flag[2])
NameError: global name 'self' is not defined


Expected Results:  download and installation of:
kernel                                  2.4.18    7.93
kernel-smp                              2.4.18    7.93
kernel-source                           2.4.18    7.93


Additional info:

Clean install of limbo 2

Comment 1 Michael Young 2002-08-07 15:31:39 UTC
This is bug 70878

Comment 2 Adrian Likins 2002-08-07 20:57:57 UTC
this version should be fixed in 2.9.35 or higher

Comment 3 Matt Jamison 2003-05-19 19:10:23 UTC
fixed, resolving.


Note You need to log in before you can comment on or make changes to this bug.